> ## Documentation Index
> Fetch the complete documentation index at: https://exsited.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a shipping rule

> Returns one shipping rule by its `id`, with its configuration.

Returns the rule under `shipping_rule`, with its `name`, `description`, `status`, `version` and `configuration`.

> [!NOTE]
>
> The SDK samples get their client from credentials your app registers once when it starts, as shown in [Authentication](https://exsited.mintlify.site/authentication.md#set-up-a-client). To try the call here, click **Try it**, set `host` to your Exsited API host name and paste an access token from [Get an access token](https://exsited.mintlify.site/api-reference/authentication/get-an-access-token.md).


## OpenAPI

````yaml GET /settings/shipping_rules/{shipping_rule_id}
openapi: 3.1.0
info:
  title: Exsited API
  version: v4
servers:
  - url: https://{host}/api/v4
    variables:
      host:
        default: your-api-host.example.com
        description: Your Exsited API host name, without https://.
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Account emails
  - name: Account groups
  - name: Communications
  - name: Communication profiles
  - name: Orders
  - name: Quote orders
  - name: Express
  - name: Usages
  - name: Sales reps
  - name: Gift certificates
  - name: Invoices
  - name: Pro-forma invoices
  - name: Payments
  - name: Refunds
  - name: Credit notes
  - name: Credit note applications
  - name: Reconciliations
  - name: Items
  - name: Inventory adjustments
  - name: Units of measurement
  - name: Zones
  - name: Shipping packages
  - name: Shipping rules
  - name: Fulfillment profiles
  - name: Fulfillment terms
  - name: Item fulfillments
  - name: Item receipts
  - name: Bookings
  - name: Rental assets
  - name: Return merchandise authorisations
  - name: Purchase orders
  - name: Purchase invoices
  - name: Purchase payments
  - name: Purchase refunds
  - name: Purchase credit notes
  - name: Purchase credit note applications
  - name: Purchase express
  - name: Return vendor authorizations
  - name: ABA files
  - name: Receive terms
  - name: Labours
  - name: Tasks
  - name: Timesheets
  - name: Milestones
  - name: Employees
  - name: Departments
  - name: Designations
  - name: Teams
  - name: Time periods
  - name: Workflows
  - name: Workflow settings
  - name: Events
  - name: Custom events
  - name: System events
  - name: Approvals
  - name: Approval profiles
  - name: Approval user groups
  - name: Alerts
  - name: Alert responsibility settings
  - name: Alert responsibilities
  - name: Action scripts
  - name: Note groups
  - name: Note attachments
  - name: Instance settings
  - name: Accounting codes
  - name: Additional codes
  - name: Billing periods
  - name: Charging periods
  - name: Pricing periods
  - name: Invoice terms
  - name: Days of the month
  - name: Countries
  - name: Salutations
  - name: Document templates
  - name: Email templates
  - name: Roles
  - name: Operators
  - name: Operator groups
  - name: User settings
  - name: Custom attributes
  - name: Custom components
  - name: Custom features
  - name: Custom fields
  - name: Custom forms
  - name: Attribute attachments
  - name: Portal
  - name: Integration connections
  - name: External databases
  - name: Reports
  - name: Applications
  - name: Organisation
  - name: Child organisations
  - name: Webhooks
paths:
  /settings/shipping_rules/{shipping_rule_id}:
    get:
      tags:
        - Shipping rules
      summary: Retrieve a shipping rule
      description: >-
        Returns the rule under `shipping_rule`, with its `name`, `description`,
        `status`, `version` and `configuration`.
      operationId: shipping_rules_get_settings_shipping_rule
      parameters:
        - name: shipping_rule_id
          in: path
          required: true
          description: The shipping rule's `id`, from the listing.
          schema:
            type: string
      responses:
        '200':
          description: The shipping rule, under `shipping_rule`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShippingRuleResponse'
        '404':
          description: No shipping rule has that `id`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >-
            curl -X GET
            "$EXSITED_BASE_URL/api/v4/settings/shipping_rules/sr_7f8091a2b3c4d5e6f708192a3b4c5d6e"
            \
              -H "Authorization: Bearer $ACCESS_TOKEN"
        - lang: python
          label: Python
          source: |
            from exsited import build_client

            client = build_client()

            response = client.shipping_rules.get_settings_shipping_rule(
                "sr_7f8091a2b3c4d5e6f708192a3b4c5d6e"
            )
            print(response.data)
        - lang: javascript
          label: JavaScript
          source: >
            import {buildClient} from 'exsited';


            const client = await buildClient();


            const response = await
            client.shippingRules.getSettingsShippingRule('sr_7f8091a2b3c4d5e6f708192a3b4c5d6e');

            console.log(response.data);
        - lang: php
          label: PHP
          source: >
            use Exsited\Client\ClientRegistry;


            $client = ClientRegistry::buildClient();


            $response =
            $client->shippingRules->getSettingsShippingRule('sr_7f8091a2b3c4d5e6f708192a3b4c5d6e');

            print_r($response->data);
        - lang: java
          label: Java
          source: >
            import com.exsited.client.ApiResponse;

            import com.exsited.client.ClientRegistry;

            import com.exsited.client.ExsitedClient;

            import
            com.exsited.resources.shipping_rules.shipping_rules_dto.ShippingRulesDto.SettingsShippingRule;


            ExsitedClient client = ClientRegistry.buildClient();


            ApiResponse<SettingsShippingRule> response =
            client.shippingRules().getSettingsShippingRule(
                    "sr_7f8091a2b3c4d5e6f708192a3b4c5d6e");
            System.out.println(response.getMap());
        - lang: csharp
          label: .NET
          source: >
            using Exsited.Client;


            await using var client = ExsitedClient.BuildClient();


            var response = await
            client.ShippingRules.GetSettingsShippingRuleAsync("sr_7f8091a2b3c4d5e6f708192a3b4c5d6e");


            Console.WriteLine(response.Json);
        - lang: dart
          label: Dart
          source: |
            import 'package:exsited/exsited.dart';

            final client = buildClient();

            final response = await client.shippingRules.getSettingsShippingRule(
              'sr_7f8091a2b3c4d5e6f708192a3b4c5d6e',
            );
            print(response.map);
        - lang: go
          label: Go
          source: "import (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\n\texsited \"github.com/exsited/exsited-sdk-go/v4\"\n)\n\nclient, err := exsited.BuildClient(nil)\nif err != nil {\n\tlog.Fatal(err)\n}\ndefer client.Close()\n\nresponse, err := client.ShippingRules().GetSettingsShippingRule(context.Background(), \"sr_7f8091a2b3c4d5e6f708192a3b4c5d6e\", nil)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Println(response.Map)\n"
components:
  schemas:
    ShippingRuleResponse:
      type: object
      properties:
        shipping_rule:
          $ref: '#/components/schemas/ShippingRule'
    Error:
      type: object
      description: Every failed call returns this body.
      properties:
        object:
          type: string
          description: Always `error`.
        request_id:
          type: string
          description: Quote this to support.
        status:
          type: integer
          description: The HTTP status.
        code:
          type: string
          description: What went wrong, such as `validation_error`.
        message:
          type: string
          description: A short description of the problem.
        doc_url:
          type: string
          description: A link to more about this error.
        errors:
          type: array
          description: One entry per field that failed.
          items:
            type: object
            properties:
              field:
                type: string
              code:
                type: string
              message:
                type: string
              doc_url:
                type: string
    ShippingRule:
      type: object
      properties:
        configuration:
          $ref: '#/components/schemas/ShippingRuleConfiguration'
        created_by: {}
        created_on:
          type: string
        description:
          type: string
        href:
          type: string
        id:
          type: string
        last_updated_by: {}
        last_updated_on:
          type: string
        name:
          type: string
        object:
          type: string
        shipping_class: {}
        status:
          type: string
        version:
          type: integer
    ShippingRuleConfiguration:
      type: object
      properties:
        rate:
          description: The rate the rule charges.
        zones:
          type: array
          description: The zones the rule applies to.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        An access token from `POST /api/v4/oauth2/token`. The SDKs get and renew
        it for you.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.